E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GSmtp::Server::Config Struct Reference

A structure containing GSmtp::Server configuration parameters. More...

`#include <gsmtpserver.h>`

## Public Member Functions
| Config (bool allow_remote, unsigned int port, const AddressList &, const std::string &ident, bool anonymous, const std::string &filter_address, unsigned int filter_timeout, const std::string &verifier_adress, unsigned int verifier_timeout, bool verifier_compatibility, ServerProtocol::Config protocol_config)

## Public Attributes
bool | allow_remote
unsigned int | port
AddressList | interfaces
std::string | ident
bool | anonymous
std::string | filter_address
unsigned int | filter_timeout
std::string | verifier_address
unsigned int | verifier_timeout
bool | verifier_compatibility
ServerProtocol::Config | protocol_config

## Detailed Description

A structure containing GSmtp::Server configuration parameters.

Definition at line 55 of file gsmtpserver.h.

The documentation for this struct was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gsmtpserver.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gsmtpserver.cpp